package com.persagy.dmp.rwd.basic.constant;

import lombok.Getter;

/**
 * 数据类型
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Getter
public enum DigitalDataType {
    /** 数据类型 */
    INTEGER("INTEGER", "整数"),
    DOUBLE("DOUBLE", "数值"),
    BOOLEAN("BOOLEAN", "布尔"),
    STRING("STRING", "字符"),
    DATETIME("DATETIME", "日期"),
    ENUM("ENUM", "枚举"),
    MENUM("MENUM", "多选枚举"),
    ATTACHMENT("ATTACHMENT", "附件"),
    PIC("PIC", "图片"),
    OBJECT("OBJECT", "对象"),
    REFENUM("REFENUM", "参照枚举");

    private String index;
    private String name;

    DigitalDataType(String index, String name) {
        this.index = index;
        this.name = name;
    }
}
